Package org.apache.datasketches.hive.tuple

## Class ArrayOfDoublesSketchToQuantilesSketchUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.tuple.ArrayOfDoublesSketchToQuantilesSketchUDF

    public class ArrayOfDoublesSketchToQuantilesSketchUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`ArrayOfDoublesSketchToQuantilesSketchUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.io.BytesWritable` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Convert the first column from a given ArrayOfDoublesSketch to a quantiles DoublesSketch using the default parameter k.
`org.apache.hadoop.io.BytesWritable` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, int column)` Convert a given column from a given ArrayOfDoublesSketch to a quantiles DoublesSketch using the default parameter k.
`org.apache.hadoop.io.BytesWritable` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, int column, int k)` Convert a given column from a given ArrayOfDoublesSketch to a quantiles DoublesSketch

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfDoublesSketchToQuantilesSketchUDF

    public ArrayOfDoublesSketchToQuantilesSketchUDF()

### Method Detail

#### evaluate

    public org.apache.hadoop.io.BytesWritable evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Convert the first column from a given ArrayOfDoublesSketch to a quantiles DoublesSketch using the default parameter k.

Parameters:
  `serializedSketch` - ArrayOfDoublesSketch in as serialized binary
Returns:
  serialized DoublesSketch

#### evaluate

    public org.apache.hadoop.io.BytesWritable evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                                       int column)

Convert a given column from a given ArrayOfDoublesSketch to a quantiles DoublesSketch using the default parameter k.

Parameters:
  `serializedSketch` - ArrayOfDoublesSketch in as serialized binary
  `column` - 1-based column number
Returns:
  serialized DoublesSketch

#### evaluate

    public org.apache.hadoop.io.BytesWritable evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                                       int column,
                                                       int k)

Convert a given column from a given ArrayOfDoublesSketch to a quantiles DoublesSketch

Parameters:
  `serializedSketch` - ArrayOfDoublesSketch in as serialized binary
  `column` - 1-based column number
  `k` - parameter that determines the accuracy and size of the quantiles sketch
Returns:
  serialized DoublesSketch